## GstVaapiSurfacePool

GstVaapiSurfacePool — VA surface pool

## Functions

GstVaapiVideoPool * | gst_vaapi_surface_pool_new ()

## Types and Values

| GstVaapiSurfacePool

## Object Hierarchy

## Description

## Functions

### gst_vaapi_surface_pool_new ()

    GstVaapiVideoPool *
    gst_vaapi_surface_pool_new (GstVaapiDisplay *display,
                                const GstVideoInfo *vip);

Creates a new GstVaapiVideoPool of GstVaapiSurface with the specified format and dimensions in `vip` .

#### Parameters

display | a GstVaapiDisplay |
vip | a GstVideoInfo |

#### Returns

the newly allocated GstVaapiVideoPool

## Types and Values

### GstVaapiSurfacePool

    typedef struct _GstVaapiSurfacePool GstVaapiSurfacePool;

A pool of lazily allocated GstVaapiSurface objects.